package com.example.commands;

import com.mojang.brigadier.arguments.StringArgumentType;
import com.mojang.brigadier.builder.LiteralArgumentBuilder;
import dev.shrecked.sun.components.annotation.SunCommand;
import dev.shrecked.sun.components.command.Command;
import dev.shrecked.sun.util.ChatUtil;
import net.minecraft.command.CommandSource;

@SunCommand(name = "example-command", alias = {"ex"})
public class ExampleCommand extends Command {
    @Override
    public void build(LiteralArgumentBuilder<CommandSource> builder) {
        builder.then(literal("echo")
            .then(argument("text", StringArgumentType.greedyString()).executes(context -> {
                String text = context.getArgument("text", String.class);
                ChatUtil.info(String.format("echo! %s", text));
                return SINGLE_SUCCESS;
            }))
        ).build();
    }
}
